Bug 1103200 - (CVE-2018-5813) VUL-1: CVE-2018-5813: libRaw: infinite loop in the parse_minolta function in dcraw/dcraw.c
(CVE-2018-5813)
VUL-1: CVE-2018-5813: libRaw: infinite loop in the parse_minolta function in ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/211876/
CVSSv3:RedHat:CVE-2018-5813:3.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-31 07:32 UTC by Johannes Segitz
Modified: 2019-04-05 15:36 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2018-07-31 07:32:41 UTC
rh#1609954

A flaw was found in LibRaw. An error within the "parse_minolta()" function (dcraw/dcraw.c) can be exploited to trigger an infinite loop via a specially crafted file. This can be exploited by malicious people to cause a DoS (Denial of Service). 

Fixed by 70ce43d and 8260dcf. All codestreams affected

References:
https://secuniaresearch.flexerasoftware.com/secunia_research/2018-13/
https://bugzilla.redhat.com/show_bug.cgi?id=1609954
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-5813
Comment 1 Petr Gajdos 2018-08-01 11:23:59 UTC
Will submit for devel/libraw, 15/libraw, 42.3/libraw and 12/libraw.
Comment 2 Petr Gajdos 2018-08-01 12:17:58 UTC
Actually, devel/libraw is not affected (dcraw/dcraw.c is not compiled in).

Will submit for 15/libraw, 42.3/libraw and 12/libraw.
Comment 3 Petr Gajdos 2018-08-01 12:19:19 UTC
Argh, bad window. dcraw_common.cpp is also affected in 0.19.0.
Final resolution:

Will submit for devel/libraw, 15/libraw, 42.3/libraw and 12/libraw.
Comment 4 Petr Gajdos 2018-08-01 13:16:08 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2018-08-01 13:50:09 UTC
This is an autogenerated message for OBS integration:
This bug (1103200) was mentioned in
https://build.opensuse.org/request/show/626900 Factory / libraw
https://build.opensuse.org/request/show/626901 42.3 / libraw
Comment 7 Swamp Workflow Management 2018-08-10 01:09:37 UTC
openSUSE-SU-2018:2286-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1103200,1103206,1103353,1103359,1103360,1103361
CVE References: CVE-2018-5807,CVE-2018-5810,CVE-2018-5811,CVE-2018-5812,CVE-2018-5813,CVE-2018-5815
Sources used:
openSUSE Leap 42.3 (src):    libraw-0.17.1-23.1
Comment 8 Swamp Workflow Management 2018-10-23 19:14:39 UTC
SUSE-SU-2018:3343-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1084688,1084690,1084691,1103200,1103353
CVE References: CVE-2018-5800,CVE-2018-5801,CVE-2018-5802,CVE-2018-5810,CVE-2018-5813
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    libraw-0.15.4-21.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libraw-0.15.4-21.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libraw-0.15.4-21.1
Comment 10 Swamp Workflow Management 2019-01-02 19:07:46 UTC
SUSE-SU-2019:0005-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1097975,1103200,1103206
CVE References: CVE-2018-5804,CVE-2018-5813,CVE-2018-5815,CVE-2018-5816
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    libraw-0.18.9-3.5.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libraw-0.18.9-3.5.1
Comment 11 Swamp Workflow Management 2019-01-10 20:12:01 UTC
openSUSE-SU-2019:0008-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1097975,1103200,1103206
CVE References: CVE-2018-5804,CVE-2018-5813,CVE-2018-5815,CVE-2018-5816
Sources used:
openSUSE Leap 15.0 (src):    libraw-0.18.9-lp150.2.3.1
Comment 12 Marcus Meissner 2019-04-05 15:36:05 UTC
released